Skip to content

Get Saved Report

Request

GET /v3/reports/grid/saved/{id}
Security
API_Key
Path
idinteger, (int64)required

ID of the saved report

GET
/v3/reports/grid/saved/{id}
curl -i -X GET \
  'https://api.observepoint.com/v3/reports/grid/saved/{id}' \
  -H 'Authorization: YOUR_API_KEY_HERE'

Responses

Saved report details

Bodyapplication/json
idinteger, (int64)required

ID of the saved report

namestringrequired
descriptionstring
labelsArray of integers

List of labels associated with the saved report

visibilitystringrequired
Enum:"private""public"
gridEntityTypestringrequired
Enum:"web_audit_runs""web_journey_runs""pages""cookies""tags""tag_variables""links""accessibility_issues""network_requests""browser_logs"
isFavoritebooleanrequired

Indicates if the saved report is marked as favorite by the current user

createdByUserIdinteger, (int64)required
myLastViewedstring, (date-time)required

Date-time in RFC3339 profile ISO 8601 format with the following additional restrictions:

  1. An uppercase T must separate the date and time portions.
  2. An uppercase Z must denote that a numeric time zone offset isn't present.

In general, these timestamp requirements are the same in AWS Step Functions - Choice Rules

Example:"2016-08-18T17:33:00Z"
isEditablebooleanrequired

TRUE if specified saved report can be changed by the user who made the API request, FALSE otherwise

libraryMetadataobject

Metadata required to show the saved report in the library

isSharablebooleanrequired

TRUE if specified saved report does not use cross-account grid querying mode, FALSE otherwise

isManagedByOPbooleanrequired

TRUE if specified saved report is managed by ObservePoint, FALSE otherwise

scheduledExportCountintegerrequired

Number of Scheduled Exports associated with this report

sequenceNumberinteger

Ordering sequence number for ObservePoint-managed reports. Only available for ObservePoint-managed reports.

isHighlightedboolean

Indicates if the report should be displayed in the top row. Only available for ObservePoint-managed reports.

isExperimentalboolean

Indicates if the report is experimental and should only be visible to OpAdmin users. Only available for ObservePoint-managed reports.

publishedAtstring, (date-time)

Date-time in RFC3339 profile ISO 8601 format with the following additional restrictions:

  1. An uppercase T must separate the date and time portions.
  2. An uppercase Z must denote that a numeric time zone offset isn't present.

In general, these timestamp requirements are the same in AWS Step Functions - Choice Rules

Example:"2016-08-18T17:33:00Z"
displayMetadataobject

Display metadata for the saved report

queryDefinitionobjectrequired

Default Grid request body properties. Default behaviour:

  • if no page number is specified, default is 0 (the first results page)
  • if no size is specified, default is 100
  • if no filters are specified, default is to return all runs Default behaviour for exports:
  • if page and size are not specified, all available rows will be exported
visualizationsArray of objects
Response
{ "id": 0, "name": "string", "description": "string", "labels": [ 0 ], "visibility": "private", "gridEntityType": "web_audit_runs", "isFavorite": true, "createdByUserId": 0, "myLastViewed": "2016-08-18T17:33:00Z", "isEditable": true, "libraryMetadata": {}, "isSharable": true, "isManagedByOP": true, "scheduledExportCount": 0, "sequenceNumber": 0, "isHighlighted": true, "isExperimental": true, "publishedAt": "2016-08-18T17:33:00Z", "displayMetadata": {}, "queryDefinition": { "size": 10, "page": 0, "filters": {}, "columns": [], "sortBy": [], "totals": [] }, "visualizations": [ {} ] }